Get Application Updates

Get Application Updates
Get application update details

Get the details of the available updates for a saved application.

Request
URI
GET
https://{api_host}/api/ni/groups/applications/{id}/updates
COPY
Path Parameters
string
id
Required

The Entity ID of object requestion information on


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns ApplicationUpdate of type(s) application/json
{
    "basic_update_info": {
        "name": "string",
        "entity_id": "string",
        "update_status": "string"
    },
    "tiers": [
        {
            "basic_update_info": {
                "name": "string",
                "entity_id": "string",
                "update_status": "string"
            },
            "vms": [
                {
                    "name": "string",
                    "entity_id": "string",
                    "update_status": "string"
                }
            ],
            "physical_ips": [
                {
                    "name": "string",
                    "entity_id": "string",
                    "update_status": "string"
                }
            ],
            "kubernetes_services": [
                {
                    "name": "string",
                    "entity_id": "string",
                    "update_status": "string"
                }
            ]
        }
    ]
}
object
basic_update_info
Optional

basic_update_info

array of object
tiers
Optional

tiers


400

Bad Request

Returns BadRequestResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


401

Unauthorized

Returns UnauthorizedResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


404

Not Found

Returns NotFoundResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


500

Internal error

Returns InternalErrorResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/ni/groups/applications/{id}/updates